# Lab Test Reports

Use the `labTestReports` query to get the list of all lab test reports created for the user.&#x20;

### Available Arguments

| Argument        | Type    | Description                                                                                            |
| --------------- | ------- | ------------------------------------------------------------------------------------------------------ |
| `first`         | Int     | Retrieves the first results from the list.                                                             |
| `after`         | String  | See [pagination](https://docs.suggestic.com/graphql/start-here/tutorials-and-walkthroughs/pagination). |
| `before`        | String  | See [pagination](https://docs.suggestic.com/graphql/start-here/tutorials-and-walkthroughs/pagination). |
| `id`            | ID      | Id of the Lab Test Report.                                                                             |
| `last`          | Int     | See [pagination](https://docs.suggestic.com/graphql/start-here/tutorials-and-walkthroughs/pagination). |
| `isVisible`     | Boolean | True if the report is visible. Otherwise, it displays false                                            |
| `externalId`    | String  | Filter by externalId                                                                                   |
| `orderId`       | String  | Filter by orderId                                                                                      |
| `requisitionId` | String  | Filter by requisitionId                                                                                |

### Available Fields

| Field Name    | Type        | Description                                                                                                                                                                                                                                                                                  |
| ------------- | ----------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `id`          | ID          | Lab test report ID.                                                                                                                                                                                                                                                                          |
| `testName`    | String      | Lab test report name.                                                                                                                                                                                                                                                                        |
| `isVisible`   | Boolean     | True if the report is visible. Otherwise, it displays false.                                                                                                                                                                                                                                 |
| `reportPdf`   | URL         | Lab test report url.                                                                                                                                                                                                                                                                         |
| `status`      | String      | Lab test report status. Possible values: `created`, `ordered`, `fulfilled, error`, `returned_to_lab`, or `results_ready.`                                                                                                                                                                    |
| `testDate`    | datetime    | Use the format: `YYYY-MM-DDT hh:mm:ssZ`                                                                                                                                                                                                                                                      |
| `alert`       | Boolean     | `True` if alert is active otherwise `False.`                                                                                                                                                                                                                                                 |
| `alertText`   | String      | Text shown in the alert.                                                                                                                                                                                                                                                                     |
| `alertAction` | AlertAction | <p></p><ul><li>ATTEMPTED\_FAILED: Unable to contact.</li><li>CONTACTED: Member Contacted and resolved.</li></ul>                                                                                                                                                                             |
| `alertStatus` | AlertStatus | <ul><li>IN\_REVIEW: In Review.</li><li>REVIEWED: Lab Reviewed - No Alerts.</li><li>OUT\_OF\_RANGE: Biomarker(s) Out of Range.</li><li>OTHER: Other.</li><li>FOLLOW\_UP: Follow-up Required.</li><li>NO\_FOLLOW\_UP: No Follow-up Required.</li><li>COMPLETED: Lab Alert Completed.</li></ul> |
| `videoUrl`    | String      | Video URL to show in the report.                                                                                                                                                                                                                                                             |

### Status Field description

| Status name        | Description                                     |
| ------------------ | ----------------------------------------------- |
| `created`          | Lab test report created.                        |
| `ordered`          | The order was placed with lab.                  |
| `fulfilled`        | The kit was shipped to the client.              |
| `error`            | There is a problem with the kit.                |
| `returned_to_lab`  | The results are returned to the lab.            |
| `results_ready`    | The lab test results are ready.                 |
| `Process complete` | There's processing after the results are ready. |

### Example

{% tabs %}
{% tab title="Request" %}

```graphql
query {
    labTestReports {
      edges {
        node {
          id
          testName
          reportPdf
          isVisible
          status
          alert
          alertAction
          alertStatus
          alertText
          videoUrl
        }
      }
    }
}
```

{% endtab %}

{% tab title="Response" %}

```graphql
{
  "data": {
      "labTestReports": {
        "edges": [
          {
            "node": {
              "id": "TGFiVGVzdFJlcG9ydDo3MA==",
              "testName": "Sugar test",
              "reportPdf": "https://storage.googleapis.com/sg-data/lab-test/5ed99232-ca13-4a65-92b2-fc098f829e04/biEd0KdheG7A.pdf?Expires=1643814637&GoogleAccessId=ibucket%40machine-learning-159617.iam.gserviceaccount.com&Signature=nKSJEp5fXSJ9RPhHKf5AK%2F5Nga9P%2FlZi3ZwTkSXesznGVrtfqQ%2BZcig0qswZsugOyyyMgJ6Eyfsb9zZj1R9UGO3bpgPezKXChKY3ygs3%2BbLSoZJyTD7SE8vSDn6uTdhNCrvd4tRojSxEoit%2Fitng%2Ba1V8Q0ErIwkySGIiRJfxKKd04k2doL4MhweU1tpM0xrUXxrW66EQDrmee4CSiF39pBLwrSp0YTgn%2FUj3jmqA88JIJ%2Fl5%2BInsLZ4O0742W00Ew6XQFBEPzLG1DLEYxKRv0DxIAPou7MI56nmSgZ9xdzuVgEsFKn3nNTufihobfqQPK6qs3Q8xZbFOZWdSUHkIQ%3D%3D",
              "isVisible": true,
              "status": "CREATED",
              "alert": true,
              "alertText":"Validation Error",
              "alertStatus":"REVIEWED",
              "alertAction":"CONTACTED",
              "videoUrl":"www.samplevideourl.com"
            }
          },
          {
            "node": {
              "id": "TGFiVGVzdFJlcG9ydDo2OA==",
              "testName": "Sugar test",
              "reportPdf": "https://storage.googleapis.com/sg-data/lab-test/5ed99232-ca13-4a65-92b2-fc098f829e04/JSB3xYKEVtbH.pdf?Expires=1643814637&GoogleAccessId=ibucket%40machine-learning-159617.iam.gserviceaccount.com&Signature=KHNSgTQaT%2Fs4%2BzyloAfiuL%2FQeYzXV%2BAxT03j%2FU0qm8LELUzesxF1ZN0zRJJmY6m4RpHZhkXKcSbLrhtTZ3HsENVYPfQxDJ4hApndlWuxTY32W5DyTcRJlJtfB3gu009AGZMAwVXEPA8afAhfq3lsWE0d26iO4u1LjO%2FEAZ%2FstsBAXKxYDHXLKnL8LIrC70dL1Ufw%2FLKU8ZXNxhDFqK6JRzvMLdMgpFrIJDi%2FNybI%2BRRk36w2xBn1ZIfbqk4EhNcwuaAGQVRzMOloG2s7K0HGVCus%2BBu6yphoDe78%2BV1h21TtOpxO4WALUhQgqShFXWJeKuJLnjywg%2BterXXeg%2F26yw%3D%3D",
              "isVisible": true,
              "status": "CREATED",
              "alert": true,
              "alertText":"Validation Error",
              "alertStatus":"REVIEWED",
              "alertAction":"CONTACTED",
              "videoUrl":"www.samplevideourl.com"
            }
          },
          {
            "node": {
              "id": "TGFiVGVzdFJlcG9ydDozOQ==",
              "testName": "Basic Metabolic Panel",
              "reportPdf": "https://storage.googleapis.com/sg-data/lab-test/5ed99232-ca13-4a65-92b2-fc098f829e04/qlH3adLcs0K2.pdf?Expires=1643814637&GoogleAccessId=ibucket%40machine-learning-159617.iam.gserviceaccount.com&Signature=igJT12FkKAIHPBhNqrn4dUIDbP9mpwxGkN3AszEvdK3s2JurFmZMo23Mr4ZNS%2BlIHUsZuhrBbUibTk5i3W96nD9uFrM6MWlQUVX%2FDf53vFdgJADf0ErxCtLQqf1unVXq5xDbOtOGSK7AU3rs0PgvOv1BYS1H75d%2B5X1tma4NCvvBkH2z04isL9ScA9HnJgcF21KHwGyRGiMU8r7aaV0HS6K6%2F7n259ME0zwqkC1qQwi6HpdcwN%2BQUdATqKSPNOLPafEQvkOqAJ%2B6nWqJE9D04XhPaNapUg1itSqIqr8eW1%2BA7NlNpKZTauxjYSCfk6MjAhdPAsE2ak%2BpX%2BG7yYHJ3Q%3D%3D",
              "isVisible": true,
              "status": "CREATED",
              "alert": true,
              "alertText":"Validation Error",
              "alertStatus":"REVIEWED",
              "alertAction":"CONTACTED",
              "videoUrl":"www.samplevideourl.com"
            }
          }
        ]
      }
  }
}
```

{% endtab %}
{% endtabs %}

### Example with Filter by orderId

{% tabs %}
{% tab title="Request" %}

```graphql
query {
    labTestReports (orderId:"418787") {
      edges {
        node {
          id
          testName
          externalId
          orderId
          requisitionId
        }
      }
    }
}
```

{% endtab %}

{% tab title="Response" %}

```json
{
    "data": {
        "labTestReports": {
            "edges": [
                {
                    "node": {
                        "id": "TGFiVGVzdFJlcG5ydDo1ODc3MA==",
                        "testName": "Test Name",
                        "externalId": "56567558",
                        "orderId": "418787",
                        "requisitionId": "2221201683"
                    }
                }
            ]
        }
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.suggestic.com/graphql/query/queries/lab-tests/lab-test-reports.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
